Install from tape fails for TCPaccess Telnet Server on z/OS 1.9 and higher with IEW2303E and GIM23911E

Document ID : KB000054145
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

When trying to install the TCPaccess Telnet server at the z/OS 1.9 level or higher, the SMP APPLY fails with
GIM23911E ** LINK-EDIT PROCESSING FOR SYSMOD TSxxxxx FAILED FOR MODULE T04xxxxx IN LMOD T04STASK IN THE TLNLOAD LIBRARY.
and
IEW2303E 1030 MEMBER ASCCOLL OF THE DATA SET SPECIFIED BY SCLBSID COULD NOT BE FOUND.

Solution:

NOTE: This only affects customers installing the product on z/OS 1.9.
There is no problem for customers upgrading to z/OS 1.9 or higher with the product already installed.
If you download the product from the website, the corrective PTFs are already included.

In z/OS 1.9, IBM removed member ASCCOLL from the CBC.SCLBSID, which is utilized for C++ installs.
The Telnet Server uses this library during install, and modules T04SATSK and T04SLLSN contained INCLUDE statements for member ASCCOLL, which was a member in the CBC.SCLBSID up until this level of z/OS.

The modules now fail to APPLY as the member no longer exists in the z/OS 1.9 version of the library.

Messages in the SMP APPLY include
GIM23911E ** LINK-EDIT PROCESSING FOR SYSMOD TS10695 FAILED FOR MODULE T04SADSS IN LMOD T04STASK IN THE TLNLOAD LIBRARY.
THE RETURN CODE (08) EXCEEDED THE ALLOWABLE VALUE. DATE 08.xxx - TIME xx:xx:xx - SEQUENCE NUMBER 000012 - SYSPRINT FILE SMP00006.

several GIM23912E messages

IEW2303E 1030 MEMBER ASCCOLL OF THE DATA SET SPECIFIED BY SCLBSID COULD NOT BE FOUND.

To correct the problem, apply the appropriate PTF for the release of the Telnet Server you are installing.

For Telnet Server 6.1: apply PTF TS10849
For Telnet Server 6.2: apply PTF TS10848

The PTF removes the INCLUDE statement for ASCCOLL, allowing the modules to be applied correctly.